Skip to main content
POST
/
api
/
payments
/
webhooks
/
{environment}
/
configure
Configure Managed Stripe Webhook
curl --request POST \
  --url https://api.example.com/api/payments/webhooks/{environment}/configure \
  --header 'Authorization: Bearer <token>'
{
  "connection": {
    "environment": "test",
    "status": "unconfigured",
    "stripeAccountId": "acct_123",
    "stripeAccountEmail": "owner@example.com",
    "accountLivemode": true,
    "webhookEndpointId": "we_123",
    "webhookEndpointUrl": "https://api.example.com/api/webhooks/stripe/test",
    "webhookConfiguredAt": "2023-11-07T05:31:56Z",
    "maskedKey": "sk_test_...abcd",
    "lastSyncedAt": "2023-11-07T05:31:56Z",
    "lastSyncStatus": "succeeded",
    "lastSyncError": "<string>",
    "lastSyncCounts": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environment
enum<string>
required

Stripe environment.

Available options:
test,
live

Response

Managed webhook configuration result

connection
object
required